Skip to content
Start here

Get Pipeline Details

pipelines.get_v1(strpipeline_id, PipelineGetV1Params**kwargs) -> PipelineGetV1Response
GET/accounts/{account_id}/pipelines/v1/pipelines/{pipeline_id}

Get Pipelines Details.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines WritePipelines Read
ParametersExpand Collapse
account_id: str

Specifies the public ID of the account.

pipeline_id: str

Specifies the public ID of the pipeline.

maxLength32
minLength32
ReturnsExpand Collapse
class PipelineGetV1Response:
id: str

Indicates a unique identifier for this pipeline.

created_at: str
modified_at: str
name: str

Indicates the name of the Pipeline.

maxLength128
minLength1
sql: str

Specifies SQL for the Pipeline processing flow.

status: str

Indicates the current status of the Pipeline.

tables: List[Table]

List of streams and sinks used by this pipeline.

id: str

Unique identifier for the connection (stream or sink).

latest: int

Latest available version of the connection.

name: str

Name of the connection.

maxLength128
minLength1
type: Literal["stream", "sink"]

Type of the connection.

One of the following:
"stream"
"sink"
version: int

Current version of the connection used by this pipeline.

failure_reason: Optional[str]

Indicates the reason for the failure of the Pipeline.

Get Pipeline Details

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.pipelines.get_v1(
    pipeline_id="043e105f4ecef8ad9ca31a8372d0c353",
    account_id="0123105f4ecef8ad9ca31a8372d0c353",
)
print(response.id)
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status",
    "tables": [
      {
        "id": "1c9200d5872c018bb34e93e2cd8a438e",
        "latest": 5,
        "name": "my_table",
        "type": "stream",
        "version": 4
      }
    ],
    "failure_reason": "failure_reason"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status",
    "tables": [
      {
        "id": "1c9200d5872c018bb34e93e2cd8a438e",
        "latest": 5,
        "name": "my_table",
        "type": "stream",
        "version": 4
      }
    ],
    "failure_reason": "failure_reason"
  },
  "success": true
}